<template lang="pug">
div
  hero-section(
    :bg="hero_bg"
    :button-caption="hero_button_caption"
    :button-link="hero_button_link"
    button-scroll
    :subtitle="hero_subtitle"
    :title="hero_title"
    v-observe-visibility="visibilityChanged"
  )

  about-section(
    v-if="show_about"
    :content="about_content"
    :slides="show_about_gallery ? about_gallery.photos : []"
    :title="about_title"
    v-observe-visibility="visibilityChanged"
  )

  features-section(
    v-if="show_features"
    :features="features"
    :title="features_title"
    v-observe-visibility="visibilityChanged"
  )

  broker-form#broker-form(
    v-if="show_form"
    :bg="form_bg"
    :bg-double="form_bg_2x"
    :copy-button="form_copy_button"
    :email-title="form_sent_to_email"
    :share-button="form_share_button"
    :subtitle="form_subtitle"
    :success-content="form_success_message_content"
    :success-title="form_success_message_title"
    :title="form_title"
    :slides="slides"
    v-observe-visibility="visibilityChanged"
  )
</template>

<script>
import { visibilityMixin } from '@/mixins/visibility'
import { pageMixin } from '@/mixins/pages'
import { fullpageMixin } from '@/mixins/fullpage'
import { fetchPage } from '@/utils/asyncPages'
import API from '../api'

export default {
  name: 'BrokersPage',

  async asyncData ({ app, error }) {
    return fetchPage(app, error, API.brokers.brokersPage())
  },

  layout: 'white-header',
  mixins: [pageMixin, fullpageMixin, visibilityMixin]
}
</script>
